### Function

# GLib ref_string_new_len

since: 2.58

#### Declaration [src]

    char*
    g_ref_string_new_len (
      const char* str,
      gssize len
    )

#### Description [src]

Creates a new reference counted string and copies the contents of `str` into it, up to `len` bytes.

Since this function does not stop at nul bytes, it is the caller’s responsibility to ensure that `str` has at least `len` addressable bytes.

Available since: 2.58

#### Parameters

`str`

  Type: `const char*`

  A string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`len`

  Type: `gssize`

  Length of `str` to use, or -1 if `str` is nul-terminated.

#### Return value

Type: `char*`

The newly created reference counted string.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.